## vim-youcompleteme 0+20200825+git2afee9d+ds

=== test/Makefile ===
.phony: test clean

test:
	./run_vim_tests ${TEST}

clean:
	rm -f *.log
	rm -f *.res
	rm -f debuglog
	rm -f messages
	rm -f Xtest*
	rm -f .coverage.*
	rm -f .vim_profile
	rm -rf logs/

=== debian/changelog ===
vim-youcompleteme (0+20200825+git2afee9d+ds-2) unstable; urgency=medium

  * Import new upstream 0+20201025+gitdd61ad7 as patch series
    - Lower priority of diagnostic highlights to fix hlsearch
    - Use more asynchrony for hover and completions requests
  * Refresh and update patches

 -- David Kalnischkies <donkult@debian.org>  Wed, 28 Oct 2020 15:20:45 +0100

vim-youcompleteme (0+20200825+git2afee9d+ds-1) unstable; urgency=medium

  * New upstream version 0+20200825+git2afee9d+ds
    - some small fixes for auto-hover popup
    - drops python3 <= 3.5 support,
      but even debian/stable has >= 3.7 already
  * Refresh local and drop included upstream patches
  * Bump debhelper-compat from 12 to 13

 -- David Kalnischkies <donkult@debian.org>  Mon, 31 Aug 2020 14:33:42 +0200

=== debian/control ===
Source: vim-youcompleteme
Section: editors
Priority: optional
Maintainer: David Kalnischkies <donkult@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-python,
 python3,
 python3-future,
 python3-hamcrest,
 python3-mock,
 python3-pytest,
 python3-requests,
 python3-requests-futures,
 ycmd (>= 0+20191222+git2771f6f+ds~)
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://ycm-core.github.io/YouCompleteMe/
Vcs-Git: https://salsa.debian.org/debian/vim-youcompleteme.git
Vcs-Browser: https://salsa.debian.org/debian/vim-youcompleteme

Package: vim-youcompleteme
Architecture: all
Depends: ${misc:Depends},
 ${python3:Depends},
 python3-future,
 python3-requests (>= 2.2.1),
 python3-requests-futures,
 ycmd-core-version (= ${misc:Core-Ver}),
 vim-nox | vim-python3
Recommends: vim-addon-manager
Description: fast, as-you-type, fuzzy-search code completion engine for Vim
 YouCompleteMe is a fast, as-you-type, fuzzy-search code completion engine
 for Vim. It has several completion engines: an identifier-based engine
 that works with every programming language, a semantic, Clang-based
 engine that provides native semantic code completion for
 C/C++/Objective-C/Objective-C++ and an omnifunc-based completer that uses data
 from Vim's omnicomplete system to provide semantic completions for many
 other languages (Ruby, PHP etc.).

## vim-youcompleteme 0+20220402+git3ededae+ds

=== debian/changelog ===
vim-youcompleteme (0+20220402+git3ededae+ds-4) unstable; urgency=medium

  * Import upstream 0+20220706+gitd35df61 as patch series
    - Support ycmds experimental semantic highlighting
  * Do not require semantic highlighting support in ycmd
  * Run gopls test with gccgo and golang-go
  * Use first option in gopls fixit test dialog (Closes: #1016842)
  * Avoid testing with unavailable nodejs on armel

 -- David Kalnischkies <donkult@debian.org>  Mon, 08 Aug 2022 21:55:47 +0200

vim-youcompleteme (0+20220402+git3ededae+ds-3) unstable; urgency=medium

  * Ignore arch-specific details in hover test fixing autopkgtest on i386

 -- David Kalnischkies <donkult@debian.org>  Sun, 12 Jun 2022 13:33:59 +0200

vim-youcompleteme (0+20220402+git3ededae+ds-2) unstable; urgency=medium

  * Reflect Debian's ycmd LSP config change in documentation patch
  * autopkgtest related changes:
    - Split autopkgtest vim-tests into multiple tests
    - Retry failed vim tests 10 times in autopkgtest
    - Skip autopkgtest with ccls if it isn't installable
    - Add a simple test for fortran completer usage

 -- David Kalnischkies <donkult@debian.org>  Sat, 11 Jun 2022 15:52:54 +0200

vim-youcompleteme (0+20220402+git3ededae+ds-1) unstable; urgency=medium

  [ David Kalnischkies ]
  * New upstream version 0+20220402+git3ededae+ds
    - Drop old hamcrest api patch as it is available in Debian now
    - Update patches and drop upstream backports
    - Remove python-requests and pytest as unneeded now
  * Use dh-vim-addon (Closes: #769812)
  * Don't use markdown syntax in doc file for vim (Closes: #1011623)
  * Add neovim as possible alternative client (Closes: #863619)
  * Use upstream vim tests as autopkgtest
  * Add smoke tests for libclang, ccls and gopls usage
  * Bump Standards-Version to 4.6.1 (no change needed)

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- David Kalnischkies <donkult@debian.org>  Thu, 09 Jun 2022 23:32:12 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,14 @@
 Maintainer: David Kalnischkies <donkult@debian.org>
 Build-Depends: debhelper-compat (= 13),
  dh-python,
+ dh-vim-addon,
  python3,
  python3-future,
  python3-hamcrest,
  python3-mock,
- python3-pytest,
- python3-requests,
- python3-requests-futures,
- ycmd (>= 0+20191222+git2771f6f+ds~)
+ ycmd (>= 0+20220401+gitdbe806f+ds~)
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://ycm-core.github.io/YouCompleteMe/
 Vcs-Git: https://salsa.debian.org/debian/vim-youcompleteme.git
 Vcs-Browser: https://salsa.debian.org/debian/vim-youcompleteme
@@ -23,11 +21,10 @@
 Depends: ${misc:Depends},
  ${python3:Depends},
  python3-future,
- python3-requests (>= 2.2.1),
- python3-requests-futures,
  ycmd-core-version (= ${misc:Core-Ver}),
- vim-nox | vim-python3
-Recommends: vim-addon-manager
+# not using ${vim-addon:Depends} as we require python support
+ vim-nox | vim-python3 | neovim
+Recommends: ycmd (>= 0+20220401+gitdbe806f+ds-3)
 Description: fast, as-you-type, fuzzy-search code completion engine for Vim
  YouCompleteMe is a fast, as-you-type, fuzzy-search code completion engine
  for Vim. It has several completion engines: an identifier-based engine

=== debian/tests/control ===
Test-Command: ./test/run_vim_tests --retry 10 --skip ccls.test.vim --skip gopls.test.vim --skip fortran.test.vim --skip diagnostics.test.vim
Depends: @, vim-nox, libc6-dev, clangd,
Features: test-name=upstream-vim-tests

Test-Command: ./test/run_vim_tests --retry 10 diagnostics.test.vim
Depends: @, vim-nox, libc6-dev, clangd, node-typescript,
Features: test-name=upstream-vim-tests-diagnostics-node
# nodejs is no longer available on armel
Restrictions: skip-not-installable

Test-Command: ./test/run_vim_tests --retry 10 ccls.test.vim
Depends: @, vim-nox, libc6-dev, ccls,
Features: test-name=vim-tests-ccls
# ccls does not build on all architectures currently,
# but hardcoding on which it does and on which it doesn't
# seems more intrusive compared to just skipping this tiny test case
Restrictions: skip-not-installable

Test-Command: HOME="${AUTOPKGTEST_TMP}" ./test/run_vim_tests --retry 10 gopls.test.vim
Depends: @, vim-nox, gopls, gccgo-go,
Features: test-name=vim-tests-gopls-gcc

Test-Command: HOME="${AUTOPKGTEST_TMP}" ./test/run_vim_tests --retry 10 gopls.test.vim
Depends: @, vim-nox, gopls, golang-go,
Features: test-name=vim-tests-gopls-golang

Test-Command: ./test/run_vim_tests --retry 10 fortran.test.vim
Depends: @, vim-nox, fortran-language-server,
Features: test-name=vim-tests-fortran

## vim-youcompleteme 0+20230109+git7620d87+ds

=== debian/changelog ===
vim-youcompleteme (0+20230109+git7620d87+ds-3) unstable; urgency=medium

  * Import upstream 0+20230207+git9a5eb44 as patch series
    - Fix traceback when diagnostics contain quotes

 -- David Kalnischkies <donkult@debian.org>  Thu, 09 Feb 2023 16:02:29 +0100

vim-youcompleteme (0+20230109+git7620d87+ds-2) unstable; urgency=medium

  * Import upstream 0+20230117+git50379d3 as patch series
    - Hide diagnostics UI when entering Insert Mode
    - Don't change cursor position if GoTo doesn't have one
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- David Kalnischkies <donkult@debian.org>  Wed, 01 Feb 2023 00:14:46 +0100

vim-youcompleteme (0+20230109+git7620d87+ds-1) unstable; urgency=medium

  * New upstream version 0+20230109+git7620d87+ds
    - Support C-x C-u to manually trigger YCM completer
    - README and vim documentation are sync'ed better
  * Add Repository field in upstream/metadata

 -- David Kalnischkies <donkult@debian.org>  Sat, 14 Jan 2023 20:51:53 +0100

vim-youcompleteme (0+20220824+git7c3a88f+ds-3) unstable; urgency=medium

  * Fix registry file for deprecated vim-addon-manager (Closes: #1019188)

 -- David Kalnischkies <donkult@debian.org>  Tue, 06 Sep 2022 14:06:38 +0200

vim-youcompleteme (0+20220824+git7c3a88f+ds-2) unstable; urgency=medium

  * Import upstream 0+20220829+gitd4343e8 as patch series
    - Fix passing '+10' etc on command line in older vims
    - Fixes traceback when a long identifier is displayed in finder
  * Double WaitFor* timeouts in autopkgtest for armel

 -- David Kalnischkies <donkult@debian.org>  Sat, 03 Sep 2022 09:11:01 +0200

vim-youcompleteme (0+20220824+git7c3a88f+ds-1) unstable; urgency=medium

  * New upstream version 0+20220824+git7c3a88f+ds
    - Adds highly experimental inlet hints support

 -- David Kalnischkies <donkult@debian.org>  Fri, 26 Aug 2022 18:28:26 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-mock,
  ycmd (>= 0+20220401+gitdbe806f+ds~)
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://ycm-core.github.io/YouCompleteMe/
 Vcs-Git: https://salsa.debian.org/debian/vim-youcompleteme.git
 Vcs-Browser: https://salsa.debian.org/debian/vim-youcompleteme

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk
DEB_INSTALL_DIR      = $(CURDIR)/debian/$(DEB_SOURCE)

%:
	dh $@ --with python3,vim_addon

execute_after_dh_install:
	echo "misc:Core-Ver=$(shell cat /usr/lib/ycmd/CORE_VERSION )" >> debian/vim-youcompleteme.substvars
	# No need to install tests
	$(RM) -rv $(DEB_INSTALL_DIR)/usr/share/vim-youcompleteme/python/ycm/tests \
              $(DEB_INSTALL_DIR)/usr/share/vim-youcompleteme/python/ycm/test_utils.py

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	LC_ALL=C.UTF-8 ./run_tests.py --skip-build --no-flake8
endif

## vim-youcompleteme 0+20230612+git49ced5a+ds

=== debian/changelog ===
vim-youcompleteme (0+20230612+git49ced5a+ds-2) unstable; urgency=medium

  * Import upstream 0+20230819+git4f1dcf4 as patch series
    - Accept command modifiers for GetDoc subcommand
    - Add option to disable signature help syntax highlighting

 -- David Kalnischkies <donkult@debian.org>  Mon, 28 Aug 2023 18:53:59 +0200

vim-youcompleteme (0+20230612+git49ced5a+ds-1) unstable; urgency=medium

  * New upstream version 0+20230612+git49ced5a+ds
    - Performance improvements for semantic highlighting
    - Refresh patches

 -- David Kalnischkies <donkult@debian.org>  Wed, 21 Jun 2023 16:37:30 +0200

## vim-youcompleteme 0+20231230+git71166ea+ds

=== debian/changelog ===
vim-youcompleteme (0+20231230+git71166ea+ds-2) unstable; urgency=medium

  * Import upstream 0+20240114+git2b33bf3 as patch series
  * Drop extraneous obsolete build-dependency on python3-future, too

 -- David Kalnischkies <donkult@debian.org>  Mon, 15 Jan 2024 15:06:22 +0100

vim-youcompleteme (0+20231230+git71166ea+ds-1) unstable; urgency=medium

  [ David Kalnischkies ]
  * New upstream version 0+20231230+git71166ea+ds
    - Refresh patches and drop backported ones
  * Bump my copyright year as advised by lintian
  * Patch to support different ycmd versions in tests

  [ Alexandre Detiste ]
  * Remove extraneous obsolete dependency on python3-future

 -- David Kalnischkies <donkult@debian.org>  Wed, 03 Jan 2024 00:59:22 +0100

vim-youcompleteme (0+20230612+git49ced5a+ds-3) unstable; urgency=medium

  [ David Kalnischkies ]
  * Import upstream 0+20231006+gitcc9a3ae as patch series
  * Fix completer typo in Debian specific config :help entries
  * Patch to support different clangd versions in tests
  * Allow building source after successful build (Closes: #1046127)

  [ Josh Cummings ]
  * Fix completion typo in README.Debian (Closes: #1054996)

 -- David Kalnischkies <donkult@debian.org>  Sun, 05 Nov 2023 12:37:30 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
  dh-python,
  dh-vim-addon,
  python3,
- python3-future,
  python3-hamcrest,
  python3-mock,
  ycmd (>= 0+20220401+gitdbe806f+ds~)
@@ -20,7 +19,6 @@
 Architecture: all
 Depends: ${misc:Depends},
  ${python3:Depends},
- python3-future,
  ycmd-core-version (= ${misc:Core-Ver}),
 # not using ${vim-addon:Depends} as we require python support
  vim-nox | vim-python3 | neovim

## vim-youcompleteme 0+20240827+gitb6e8c64+ds

=== debian/changelog ===
vim-youcompleteme (0+20240827+gitb6e8c64+ds-5) unstable; urgency=medium

  * Relax assert of cursor pos tests failing with newer vim (Closes: #1120056)
  * Drop R³: no from d/control as it is the default now
  * Auto-convert d/watch to version 5

 -- David Kalnischkies <donkult@debian.org>  Wed, 05 Nov 2025 13:03:03 +0100

vim-youcompleteme (0+20240827+gitb6e8c64+ds-4) unstable; urgency=medium

  * Import upstream patch to allow soft-wrap in the signature help
  * Bump Standards-Version to 4.7.2 (no change needed)

 -- David Kalnischkies <donkult@debian.org>  Thu, 04 Sep 2025 11:20:35 +0200

vim-youcompleteme (0+20240827+gitb6e8c64+ds-3) unstable; urgency=medium

  * Import upstream 0+20241009+git35d1882 as patch series
  * Denote upstream vim requirements in Depends
  * Drop old versioned (build-)requirements on ycmd

 -- David Kalnischkies <donkult@debian.org>  Tue, 22 Oct 2024 14:10:17 +0200

vim-youcompleteme (0+20240827+gitb6e8c64+ds-2) unstable; urgency=medium

  * Fix hierarchies test (order difference) on s390x

 -- David Kalnischkies <donkult@debian.org>  Sat, 14 Sep 2024 17:09:24 +0200

vim-youcompleteme (0+20240827+gitb6e8c64+ds-1) unstable; urgency=medium

  [ David Kalnischkies ]
  * New upstream version 0+20240827+gitb6e8c64+ds
    - Adds support for type and call hierarchies
    - Refresh patches
  * Bump upstream copyright year to 2024
  * Bump Standards-Version to 4.7.0 (no change needed)

  [ Alexandre Detiste ]
  * remove python3-mock build-dep, package uses "unittest.mock" now

 -- David Kalnischkies <donkult@debian.org>  Tue, 10 Sep 2024 21:57:38 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,8 @@
  dh-vim-addon,
  python3,
  python3-hamcrest,
- python3-mock,
- ycmd (>= 0+20220401+gitdbe806f+ds~)
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
+ ycmd
+Standards-Version: 4.7.2
 Homepage: https://ycm-core.github.io/YouCompleteMe/
 Vcs-Git: https://salsa.debian.org/debian/vim-youcompleteme.git
 Vcs-Browser: https://salsa.debian.org/debian/vim-youcompleteme
@@ -21,8 +19,7 @@
  ${python3:Depends},
  ycmd-core-version (= ${misc:Core-Ver}),
 # not using ${vim-addon:Depends} as we require python support
- vim-nox | vim-python3 | neovim
-Recommends: ycmd (>= 0+20220401+gitdbe806f+ds-3)
+ vim-nox (>= 2:9.1.0016) | vim-python3 (>= 2:9.1.0016) | neovim
 Description: fast, as-you-type, fuzzy-search code completion engine for Vim
  YouCompleteMe is a fast, as-you-type, fuzzy-search code completion engine
  for Vim. It has several completion engines: an identifier-based engine

=== debian/tests/control ===
--- 
+++ 
@@ -27,3 +27,7 @@
 Test-Command: ./test/run_vim_tests --retry 10 fortran.test.vim
 Depends: @, vim-nox, fortran-language-server,
 Features: test-name=vim-tests-fortran
+
+Tests: vim-addon-manager
+Depends: @, vim-nox, libc6-dev, clangd, vim-addon-manager,
+Restrictions: allow-stderr

=== debian/watch ===
Version: 5

Source: https://github.com/ycm-core/YouCompleteMe
Matching-Pattern: HEAD
Git-Date: %Y%m%d
Dversionmangle: auto
Mode: git
Pgpmode: none
Git-Pretty: 0+%cd+git%h
Repacksuffix: +ds
Update-Script: uupdate
